<template>
  <div ref="componentRef" />
</template>

<script lang="ts" setup>
import { onMounted, ref } from 'vue';
const renderReactComponent = (await import('ui_react/renderReactComponent')).default;
const HelloWorldFromReact = (await import('ui_react/HelloWorld')).default;

const componentRef = ref(null);

onMounted(() => {
  renderReactComponent(componentRef.value, HelloWorldFromReact);
});
</script>
